import create from 'dd-store'
import exampleStore from '/stores/exampleStore'
create.Page({
  store: exampleStore,
  useAll: true,
  data: {
    repeatList: [
      { model: 'no_repeat', text: '不重复', weekDayList: [] },
      { model: 'every_day', text: '每天重复', weekDayList: [] },
      { model: 'day_in_week', text: '每周重复', weekDayList: ['MO', 'TU', 'WE', 'TH', 'FR', 'SA', 'SU'] },
      { model: 'day_in_week', text: '每周的工作日重复', weekDayList: ['MO', 'TU', 'WE', 'TH', 'FR'] }
    ]
  },
  onLoad() {
    dd.setNavigationBar({
      title: '选择重复'
    })
  },
  // 选择重复机制
  selectRepeat(event) {
    switch (event.target.dataset.item.model) {
      case 'no_repeat':
        this.store.data.repeatable = 0
        this.store.data.recurrenceModel = { model: "no_repeat" }
        break;
      case 'every_day':
        this.store.data.repeatable = 1
        this.store.data.recurrenceModel = { model: "every_day" }
        break;
      case 'day_in_week':
        let weekDayList = event.target.dataset.item.weekDayList
        this.store.data.repeatable = 1
        this.store.data.recurrenceModel = { model: "day_in_week", weekDayList: weekDayList, terminateTime: '' }
        break;
    }
    this.update()
    dd.navigateBack({
      delta: 1
    })

  }
});
